Skip to main content
Model IDveo-3.1-fast
ProviderGoogle
Cost$3.00/video
Duration4/6/8s
Speed~1-2 min
Best forSpeed-optimized

Example

curl -X POST https://ninjachat.ai/api/v1/video \
  -H "Authorization: Bearer nj_sk_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "veo-3.1-fast", "prompt": "A timelapse of a flower blooming, petals unfurling in golden morning light, macro lens", "duration": 6}'
import requests, os

r = requests.post("https://ninjachat.ai/api/v1/video",
    headers={"Authorization": f"Bearer {os.environ['NINJACHAT_API_KEY']}"},
    json={"model": "veo-3.1-fast", "prompt": "A timelapse of a flower blooming, petals unfurling in golden morning light, macro lens", "duration": 6}
)
print(f"Poll: {r.json()['request_id']}")

Guides: Video Generation | All Models | Pricing | Error Handling